summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorivan <ivan>2002-04-19 01:16:39 +0000
committerivan <ivan>2002-04-19 01:16:39 +0000
commit98a73bb080f55f4f5d850102bcec6da2807e3d4f (patch)
tree960bf3f9117760ee030020a9104b836f69910d43 /init.d
parent6866bdda26d1feb152af991388113e2e9309fafb (diff)
- add init file installation to Makefile, add unified init file
- fix qsearch for op => '!=', value => '' searches - fix invalid_catd typo - add payby method to part_pkg and have fs_signup_server pass the data
Diffstat (limited to 'init.d')
-rw-r--r--init.d/freeside-init58
1 files changed, 58 insertions, 0 deletions
diff --git a/init.d/freeside-init b/init.d/freeside-init
new file mode 100644
index 0000000..fd9e9e7
--- /dev/null
+++ b/init.d/freeside-init
@@ -0,0 +1,58 @@
+#! /bin/sh
+#
+# chkconfig: 345 86 16
+# description: Freeside daemons
+
+QUEUED_USER=ivan
+
+FREESIDE_PATH="/home/ivan/freeside_current"
+
+PASSWD_USER=ivan
+PASSWD_MACHINE=localhost
+
+SIGNUP_USER=ivan
+SIGNUP_MACHINE=localhost
+SIGNUP_AGENTNUM=2
+SIGNUP_REFNUM=2
+
+case "$1" in
+ start)
+ # Start daemons.
+ echo -n "Starting freeside-queued: "
+ freeside-queued $QUEUED_USER
+ echo "done."
+
+ echo -n "Starting fs_passwd_server: "
+ su freeside -c "$FREESIDE_PATH/fs_passwd/fs_passwd_server $PASSWD_USER $PASSWD_MACHINE" &
+ echo "done."
+
+ echo -n "Starting fs_signup_server: "
+ su freeside -c "$FREESIDE_PATH/fs_signup/fs_signup_server $SIGNUP_USER $SIGNUP_MACHINE $SIGNUP_AGENTNUM $SIGNUP_REFNUM" &
+ echo "done."
+ ;;
+ stop)
+ # Stop daemons.
+ echo -n "Stopping freeside-queued: "
+ kill `cat /var/run/freeside-queued.pid`
+ echo "done."
+
+ echo -n "Stopping fs_passwd_server: "
+ killall fs_passwd_server
+ echo "done."
+
+ echo -n "Stopping fs_passwd_server: "
+ killall fs_signup_server
+ echo "done."
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: freeside {start|stop|restart}"
+ exit 1
+esac
+
+exit 0
+